2021-02-01 V1.9.9
  Mise à niveau des versions de tous les systèmes
    Windows 64 bits
    Windows 32 bits
    Linux 64 bits
    Linux 32 bits
	
2021-01-29 V1.9.8
  Ajout propriétés "MaxFiles", "MaxShowImageSize", "MaxKoSize" au composant "Attachment"

2021-01-29 V1.9.7
  Publication en Linux 64 bits
  Révision et correction de l'API ....datasetlocate

2021-01-28 V1.9.6
  Révision affichage grille d'édition: sécurisation  des paramètres
  Ajout aux formulaires d'un nouveau composant : "Pièces jointes"  
  Petites améliorations diverses
  Correction bugs divers
  
2021-01-23 V1.9.5
  Correction librairie date.lua, publication de la classe date 
  Composant DateTimePicker:
    -- Ajout propriété luadate 
    -- Prise en compte des touches "Supprimer..." pour mise à null de la date 
  Révision ComboBox:
    -- Correction de certains fonctionnements anarchiques
    -- Ajout propriété "ThemedStyle"
    -- Acception de -1 (toutes les colonnes) dans la propriété "ColumnsDisplayIndex" 
  Révision éditeur de requêtes:
    -- Correction du fonctionnement désordonné en cas de modification d'une requête visuelle
    -- Traitement des alias contenant des espaces
    -- Amélioration de l'affichage du résultat en édition
  Révision formulaire Export : 
    -- Différenciation tables/vues 
    -- Révision logique des types
    -- Correction bug en export sqlite (libellé/nom)
  Correction bugs divers
  
2021-01-18 V1.9.4
  Ajout API nsbase.dialog.picklist
  Ajout option "warning" sur API nsbase.dialog.input
  Ajout de nouvelles fonctions dans la librairie LUA nsbaseutils :
  -- applyConditionalFormat
  -- evalExpr
  -- eval
  Transfert de la fonction getFormName de nsbaselists dans nsbaseutils
  Ajout la possibilité de mettre des valeurs de couleur en string pour l'API setProperty
	
2021-01-17 V1.9.3
  Amélioration de la propagation du typage via le requêteur SQL, notamment sur le type monétaire
  Ajout accés au typage des données dans l'éditeur de requêtes SQL 
  Modification des règles conditionnelles du composant DBGrid pour tenir compte du type direct des données 
  Correction action onclick (regression de code) sur les composants DBGrid et RadioGroup
  Correction du filtre des "DBgrids" pour les noms des champs contenant des espaces
  Prise en compte de l'état "disable" des boutons dont la propriété "color" est assignée
  Ajout de la propriété "Margin" pour les boutons

2021-01-03 V1.9.2
  Amélioration importante de l'assistant de création des formulaires:
     -- Choix automatique du type de composant en fonction de son type : réel, monétaire, relation...
     -- Création auto des requêtes nécessaires
  Généralisation de l'usage des formatages et symboles pour les types monétaires et décimaux 
     -- Ajout paramètres symbole/formatage monétaire et décimal dans la page des propriétés du projet
     -- Ajout propriétés DisplayCurrency, DisplayFormat, DisplayNumber dans 
          les composants TextEdit et MskEdit
     -- Révision du requêteur SQL , datagrid...
  Ajout barres de défilement pour l'affichage des formulaires en execution
  Ajout import/export des formulaires et rapports
  Correction bugs divers
	
2020-11-12 V1.9.1
  Correction du typage des données issues de l'API nsbase.window.getProperty
    le type LUA des données est maintenant du type de la propriété et non de la valeur
  Ajout Zoom minimaliste dans l'édition des reports
  Correction bugs divers
	
2020-11-12 V1.9.0
  Cette mise à jour comporte 2 axes de progrés :
     -- Le passage en multipage des fonds de page des rapports
     -- Une mise à jour technique globale
  Révision compléte de l'édition, génération et affichage des rapports 
  Migration automatique des rapports
  Mise à jour LUA 5.3 en LUA 5.4 
  Mise à jour pour windows de SQLite 3.33.0 32 bits et 64 bits
  Mise à jour pour windows de SumatraPDF 3.2 32 bits et 64 bits
  Renommage des fichiers libmariadb.dll en libmariadb-32.dll et libmariadb-64.dll
  Renommage du fichier sqlite3.dll en sqlite3-32.dll 
  Amélioration des messages d'erreur provenant de SQLite
  Correction indentation requetes SQL non visuelle
  Correction des erreurs du composant DBTreeView
  Correction de certains comportements des combobox
  Correction des erreurs du processus d'utilisation des champs de type relation
  Compression executables (exe et dll) par UPX	
  Ajout format "bitmap" (exemple glyph des boutons) dans APIs get/setProperty
  Petites améliorations diverses
  Correction bugs divers

2020-10-31 V1.8.0
  Ajout d'actions de la souris avec récupération 
     d'informations (x,y,bouton,shift) sur la plupart des composants
    -- ActionOnMouseMove
    -- ActionOnMouseEnter
    -- ActionOnMouseLeave
    -- ActionOnMouseUp
    -- ActionOnMouseDown
  Ajout importation des applications NsDBAppCreator
  Ajout contrôle et utilitaire de création des tables physiques manquantes 
  Ajout API sur les objets de la base (tables, vues, formes....)
    -- nsbase.application.getObjects
  Révision du mode LUA de l'API nsbase.window.getControls
  Typage des données issues de l'API nsbase.window.getProperty
  Ajout bibliothéque CPLib.lua de gestion des codes postaux français 
  Ajout de la librairie nsbaselist.lua : utilitaires de gestion de listes
  Révision de l'ergonomie de l'assistant de liste
  Révision de la génération du code de l'assistant de liste :
    -- le code généré est différent et optimisé par l'utilisation de librairies LUA
    -- l'ancien code généré reste utilisable
  Passage multilingue de la boite de dialogue "Nouveau projet à partir d'un modéle"
  Republication des modèles (autolistes)
    -- Vidéothèque
    -- Facture 
  Publication de nouveaux modéles
    -- Bibliothéque
    -- Automobile
  Publication exemples
     -- Code postaux
  Mise à jour bibliotéque nsbaseutils 
  Amélioration des temps de réponses LUA
  Petites améliorations diverses
  Correction bugs divers
	
2020-09-24 V1.7.3a
  Correction dans les API du chemin de recherche des composants

2020-09-16 V1.7.3
  Correction bug introduit en V1.7.1 nbase.window.getproperty(....
  Assouplissement contrôle APIs Dataset.Close
  Correction du vérificateur de code 
    Erreur 'illegal api' 
    prise en compte des commentaires

2020-08-26 V1.7.2
  Correction bug affichage explorateur d'objets dans l'éditeur LUA
  Publication des propriétés 
    ColumnsIndent,
    ColumnsMargin,
    ColumnsSeparator,
    ColumnsLinkIndex pour les composants Listbox et Combobox
  Ajout APIs
    createControl,
    deleteControl,
    getControls
   
2020-08-25 V1.7.1
  Compil sous LAZARUS 2.0.10 (Windows 32 bits et 64 bits)
  Ajout contrôles d'erreur dans les APIS de Dataset
  Déactivation du thème Windows si color<>clDefault pour les "boutons"
  Correction du retour de type de valeur sur l'API getFieldname
  Correction fonction copie d'objet sur des bases avec fichier 
    de données séparées  

2020-08-14 V1.7.0
  Ajout objet "Feuilles de styles" voir onglet/créer
  Réaménagement groupe rechercher dans l'éditeur de script
  Ajout fonction aller à ligne n°
  Ajout fonction de recherche de déclaration dans l'éditeur de script 
  Ajout fonctionalité de duplication des rapports et formulaires
  Ajout fonctionalité de vidage des tables
  Correction menu contextuel GET/SET dans édition des rapports
  Correction ActionOnKeyPressed 
  Petites améliorations diverses
  Correction bugs divers

2020-06-17 V1.6.7
  Ajout ActionOnLoad dans les rapports et formulaires 
  Ajout ActionOnOpen dans les formulaires 
  Ajout propriété runtime ActiveControl aux formulaires
  Ajout propriétés runtime ActiveCol et ActiveRow au DBGrid   
  Correction filtres sur type date des tables,vues... 
  Correction Get/Set dans arbre propriété de l'éditeur LUA
  Correction requêteur visuel sur les conditions 
  Correction casse 2éme champ de la propriété ConditionalFormatting
  Correction de BevelInner du composant HtmlMemo
  Correction copier/coller des composants dans l'éditeur visuel
  Amelioration de la gestion des erreurs répétitives dans le mode standalone (executable)
  Petites améliorations diverses
  Correction bugs divers

2020-05-10 V1.6.6
  Amélioration du contrôle du code LUA
  Amélioration du formatage de code LUA
  Amélioration de l'affichage conditionnel des DBGrids
  Petites améliorations diverses
  Correction bugs divers

2020-05-03 V1.6.5
  Amélioration de la gestion des erreurs LUA
  Ajout bouton "Vérifier" (vérification du code LUA) dans l'éditeur de script LUA
  Petites améliorations diverses
  Correction bugs divers

2020-04-22 V1.6.4
  Compil sous LAZARUS 2.0.6 (Windows 64 bits)
  Amélioration affichage des variables LUA : mémo des noeuds
  Correction formateur de code LUA : tient compte des commentaires
  Ajout icones marqueur de code dans éditeur LUA
  Petites améliorations diverses
  Correction bugs divers

2020-03-24 V1.6.3
  Ajout arbre des fonctions dans l'éditeur de script LUA
  Ajout bouton "Format" (formatage du code) dans l'éditeur de script LUA
  Ajout bouton "Tout enregistrer" (shift-ctrl-s)
  Ajout indicateur de modification (*) dans les noms des onglets
  Petites améliorations diverses
  Correction bugs divers

2020-03-08 V1.6.2
  Ajout APIs 
    self.refresh()
    nsbase.getInfo() 
  Correction abort lors de la suppression d'un composant DateTimePicker
  Tri des liste des datasources, fieldnames
  Changement propriété "Lines" du composant "memoHtml" en "Html"
  Ajout mini editeur html en édition de la propriété "Html" du composant "memoHTml"
  Mise à jour des fichiers langues
  Petites améliorations diverses
  Correction bugs divers

2020-02-16 V1.6.1
  Ajout composant "memoHTML", pouvant être inclus en tant qu'image dans les rapports 
    voir démo publipostage dans la base "Contacts.nsb"
  Ajout action "ActionOnUnload" dans les rapports
  Ajout propriété "Zoom" dans les rapports
  Ajout de la propriété "BuildPicture" dans le composant chart. 
    Attention il faudra l'activer avant de recupérer l'image du graphique
  Correction Rapport: manque un enregistrement dans les grids 
    et exception lors de la suppression du grid
  Petites améliorations diverses
  Correction bugs divers

2020-02-08 V1.6.0
  Révision composant DBGrid
    Attention !!!
    il faudra peut-être activer l'option dgEditing
  Ajout multicolonnes sur les combobox et listbox
  Révision assistant création composants type liste
  Intégration du formatage des colonnes d'un dbgrid
  Ajout options d'affichages (plein écran)
  Ajout commente/décommente dans editeur LUA
  Ajout classification des objets dans l'explorateur
  Ajout API : nbase.application.getSQLFromDatasource
  Correction sélection combobox dans éditeur visuel
  Mise à jour aide
  Correction bugs divers

2020-01-26 V1.5.0
  Ajout gestion des librairies LUA
  Ajout Import/Export des fichiers LUA
  Ajout la possiblité de mettre le fichier de données 
    dans les formats suivants :
    - firefird
    - interbase
    - MariaDB
    - mysql
    - postgresql
    - sybase
  Fourniture du driver MariaDB/Mysql 
  Correction "Champ couleur" dans le composant Chart
  Correction bugs divers

2020-01-19 V1.4.2
  Accés par code LUA à la propriété ConditionalFormatting 
  Ajout exportation des vues
  Ajout APIs
    nsbase.filesystem.remove
    nsbase.filesystem.removeDirectories
    nsbase.filesystem.rename
    nsbase.filesystem.export
    nsbase.internet.httpPost
    nsbase.window.Active.setFocus et self.setFocus
  Correction bugs divers
 
2020-01-17 V1.4.1
  Ajout composant DBTreeView dans les formulaires
  Ajout wizard DBtreeView
  Ajout propriété ConditionalFormatting dans le datagrid
  Harmonisation ergonomique et visuelle des wizards
  Amélioration wizard export
  Ajout API
    nsbase.dialog.showExport
  Correction effet de bord édition des tables
  Correction bugs divers
  
2020-01-13 V1.4.0 (a,b,...)
  Ajout support SSL pour APIs internet
  Ajout propriété ColumnsWidths au composant datagrid
  Ajout assistant de création de datagrid dans
   les formulaires
  Affichage des valeurs par défaut en insertion 
    de données dans les formulaires 
  Ajout option sauvegarde les PDF générés
  Affichage des valeurs par défaut avant l'insertion 
  Ajout protection import de tables systèmes sqlite
  Amélioration nettoyage de la base en compactage  
  Ajout positionnement sur le controle en erreur, 
    lors d'une mise à jour SQL dans les formulaires
  Ajout boutons en mode édition scripts LUA
    Défaire/Refaire
    Plier/déplier
    Indenter/désindenter
  Ajout application client multilangues (voir paramètres)
  Suppression du ficher default.lng en mode autonome
  Ajout APIs
     nsbase.lang.getSys
     nsbase.lang.get
     nsbase.lang.set
     nsbase.lang.getList
     nsbase.lang.getAppList
     nsbase.lang.translate
     nsbase.internet.json.parse
     nsbase.internet.json.count
     nsbase.internet.json.value
  Ajout propriété MarksStyle dans le composant Chart
  Optimisation temps de réponse sur enregistrement des objets, paramétres
  Généralisation affichage status et erreurs (barre de status)
  Harmonisation des boutons "Parcourir"
  Correction bouton "Parcourir" de la sélection du fichier de données (paramètres projet)
  Correction filtre, et erreur latente "Stack overflow" des dbgrids
  Correction bugs divers
 
2020-01-06 V1.3.6
  Ajout propriété TimerInterval aux formulaires
  Ajout évennement ActionOnTimer aux formulaires
  Ajout saisie nom et libellé du bouton dans assistant création de bouton
  Enrichissement aide API
  Correction assistant création de bouton : erreur référencement action
  Correction bug affichage aide API nsbase.datasetCreate("name").... 
  Correction des positions des Hints en bureau étendu
  Correction import sous linux
  Correction bugs divers

2020-01-04 V1.3.5
  Ajout propriété FileName aux rapports
  Ajout évennement ActionOnOpn aux rapports
  Révision de la construction des applications autonomes
  Correction bugs divers

2020-01-03 V1.3.4
  Ajout Option conteneur dans arbre des champs en édition des formulaires et rapports
  Amélioration internationalisation de NSBase
  Correction bug de la non suppression des enfants d'un conteneur en édition des formulaires et rapports
  Correction bugs divers

2019-12-03 V1.3.3
  Ajout arbre des champs en édition des formulaires et rapports
  Correction bug (introduit en V1.3.2) sur la création des tables   

2019-11-17 V1.3.2
  Ajout assistant de rapports
  Ajout boite de dialogue de mise en page des rapports
  Amélioration sécurisation du module runtime
  Amélioration nettoyage de la base
  Correction valeur par défaut des chaines de caractéres si plusieurs mots
  Petites Petites améliorations diverses
  Intègre les corrections pour linux V1.3.1a et V1.3.1b
  Correction bugs divers

2019-06-03 V1.3.1
  Internationalisation des fichiers langues (.lng)
  Ajout de la langue Grecque
  Ajout de la langue Croate
  Ajout de la langue Russe
  Petites Petites améliorations diverses
  Correction bugs divers

2019-05-27 V1.3.0
  Attention, refonte interne des accés à la base de données !
  Retraduction compléte en différentes langues, 
    en tenant compte des accents et autres spécifités
  Ajout de la langue Néerlandaise
  Ajout de la langue Polonaise
  Ajout composant "Chart" dans les formulaires
  Ajout assistant de création de composant "Chart"
  Ajout assistant de création de composant "liste"
  Révision assistant de création de formulaire
  Affichage de l'historique des versions, lors d'un changement de version
  Ajout dans le menu contextuel du changement de type de composant
  Ajout affichage du type de composants dans les menus de changement de type
  Passage en multi langue de la valeur par defaut de la propriété "Hints" du composant "Navigator" 
  Correction changement de type du composant ListBox
  Correction composant datetimepicker si le champ associé est "null"
  Petites Petites améliorations diverses
  Correction bugs divers

2019-05-12 V1.2.4
  Ajout menu en mode autonome (voir paramètres du projet)
  Ajout fonctionnalité de remplacement de type EditMask 
  Memorisation de l'état expand/collapse de l'arbre des composants
  Ajout affichage type dans l'arbre des composants et info bulle dan le nom (inspecteur)
  Petites Petites améliorations diverses
  Correction bugs divers

2019-05-03 V1.2.3
  Ajout case à cocher "Enregistrements uniques" dans l'éditeur de vue
  La méthode dataset.goto a été renommée en dataset.gotorecord
  Ajout double click sur les DBGRids
  Accélération notable du temps de réponse de dataset.locate
  Correction tri dans datagrid sur champ comportant des espaces
  Correction action keypressed
  Petites Petites améliorations diverses
  Correction bugs divers

2019-04-25 V1.2.2
  Ajout Columns[0].Title.Caption et Columumns[0].Title.Alignment dans l'arbre des propriétés 
    du dbgrid
  Correction "not like" dans l'éditeur visuel de requêtes
  Ajout API nsbase.dialog.showDatasetFindReplace('dbgrid') 
  Ajout API dataset.refresh()
  Remise à jour Message warning de la recherche dans les datasets

2019-04-19 V1.2.1
  Ajouts boutons assistants dans éditeur LUA
  Correction Thread mise à jour de la liste des fonctions (bug introduit avec la V1.2.0)
  Correction Raccourci F10 basculement visuel/script dans l'édition de formulaire, rapport
  Correction bouton "ajouter page"
  Petites Petites améliorations diverses
  Correction bugs divers

2019-04-19 V1.2.0
  Editeur LUA
    Ajout "CodeFolder"  (pliage/dépliage)
    Ajout "IntelliSense"  (Aide à la complétion de code)
  Ajout composants MaskEdit et TextExit dans les formulaires
  Remplacement des composants Edit par TextEdit (migration auto)
  Ajout des API suivant :
    nsbase.application.width
    nsbase.application.clientWidth
    nsbase.application.height
    nsbase.application.clientHeight
    nsbase.application.top
    nsbase.application.left
    nsbase.application.windowState
    nbsase.application.centerForm()
  Correction API dataset.locate
  Ajouts options case, nocase, anywhere dans l'API dataset.locate
  Ajout liste des propriétés de la classe  Columns du composant DBGrid 
    dans l'arbre des propriétés (Edition script)
  Ajout de l'affichage des bulles des composants à intégrer 
    dans les formulaires et rapports
  Mise à jour de la documentation
  Petites Petites améliorations diverses
  Correction bugs divers

2019-04-11 V1.1.1
  Ajout options "Création tables" et "importation données" dans module import 
  Ajout paramètre "Ouvrir au démarrage le dernier fichier utilisé"
  Renforcement du contrôle du code LUA
  Ajout méthode "self.pageNew" pour provoquer des sauts de 
     page par script dans les rapports
  Ajout de la langue Portugaise 
  Mise à jour de la documentation
  Petites Petites améliorations diverses
  Correction bugs divers

2019-04-07 V1.1.0
  Ajout recherche de code (formulaire,rapport,vues,scripts) dans tout le projet actif
  Petites Petites améliorations diverses
  Correction bugs divers

2018-04-01 V1.0.9
  Transformation des dates et heures du composant DateTimePicker en format string 
  Implementation de la compatibilité de os.date (lua natif) avec les composants et apis NSBase
  Correction boutons inhibés en multi édition
  Ajout option sur l'API getOpened(option)
  Ajout Api isOpen(windowName)
  Affichage des valeurs booléenes dans l'explorateur de variables 
  Mise à jour modèle Factures
  Petites Petites améliorations diverses

2018-03-13 V1.0.8
  Mise en ligne modèle Factures
  Remaniement documentation
  Mise en ligne de la documentation
  Correction bugs divers

2018-03-13 V1.0.7
  Ajout barre d'outils dans les feuilles de données
  Ajout création à partir d'un modèle
  La propriété datasource accepte les requêtes SQL directes
  La propriété datasource des datagrids est modificable par script LUA
  Correction bug like dans éditeur de requêtes
  Correction bugs divers

2018-03-10 V1.0.6
  Augmentation de la stabilité, notamment sous linux
  Amélioration ergonomie et rapidité de développement (passage édition/ouverture et vice versa)
  Mise en ligne fichier d'installation de type .deb pour linux au lieux des .tar.gz
  Correction bug "fichiers récents" (sur 2 lignes)
  Correction bugs divers

2018-03-02 V1.0.5
  ATTENTION les APIs nsbase.filesystem.readBinFile et ....writeBinFile sont remplacés
    par nsbase.filesystem.readFile et nsbase.filesystem.writeFile avec une option de 
    format.
  Amélioration gestion des erreurs en mode compilé et sur application autonome
  Ajout affichage dynamique des variables globales
  Ajout API nsbase.fileSystem.getDirectory
  Ajout option format sur API nsbase.internet.httpGet
  Ajout arbre propriétés dans l'editeur LUA
  Ajout évennements OnActionErro, OnAfterPost et OnBeforePost sur le formulaire / le rapport
  Ajout action "Tout fermer"
  Ajout fermeture de tous les onglets en construstion appli autonome et compression projet
  Désassociation nom et libéllé dans le renomage d'objets
  Remaniement des évents des composants
  Changement user-agent sur api nsnbase.internet.getHTTP
  Accélération du chargement du programme, par mise en Thread du contrôle de version
  Ajout de la possiblité de stocker la valeur des champs dans la base des composants
    ListBox,ComboBox et RadiogRoup en format numerique ou en texte suivant le type de
    donnée dans la base.
  Ajout composant RadioGroup
  Ajout propriéte "text" sur Listbox
  Amélioration controle en édition de table
  Amalioration controle en ouverture des tables et rapports
  Correction ouverture de deux objets différents avec le même libellé
  Correction de bugs mineurs
   
2018-02-21 V1.0.4
  Ajout historique des versions en français
  Ajout de la fonction plier/déplier du ruban menu principal
  Ajout d'un historique des projets récemment utilisés
  Ajout des actions OnLoaded et OnUnload sur le formulaire / le rapport
  Ajout d'une référence SELF dans les actions de lua nsbase
  Modification des actions procédurales NSbase en actions de type objet NSBase
  Ajouter des fonctions copier / coller / couper dans le formulaire de conception
  Ajouter de plusieurs fichiers pour la base de données sur le projet actif,
    voir les paramètres de la page du projet
  Ajout d'un nouveau style d'indice sur l'application
  Ajout d'un ajustement de propriété
  Ajout d'une balise de propriété dans la boîte de dialogue des propriétés
  Ajout d'un raccourci multiple
  Enrichissement continu de l'aide (astuces)
  Correction d'un bug Runmode sur BorderIcon et Borderstyle
  Correction d'un bug Faire glisser dans le composant treeview sur le parent du formulaire
  Correction d'un bug dans l'obtention du numéro de page dans le rapport
  Correction de bugs mineurs

2018-02-13 V1.0.3
  Propriété ControlDataSource ajoutée sur le composant dbnavigator
  Ajout du composant DBGrid de l'action OnChange
  Ajout API dataset.locate
  Mise à jour de la documentation des API 
  Correction de bugs mineurs

2018-02-12 V1.0.2
  Ajout d'images et d'un mémo sur DataGrid
  API ajoutées
    nsbase.dialog
      nsbase.dialog.showMessage ('type', 'msg')
      nsbase.dialog.input ('title', 'prompt', 'Default')
      nsbase.dialog.fileOpen ('title', 'filter', 'initialDir', 'nom de fichier')
      nsbase.dialog.fileSave ('title', 'filter', 'initialDir', 'nom de fichier')
      nsbase.dialog.selectDirectory ('title', 'initialDir')
    nsbase.fileSystem
      nsbase.fileSystem.fileToBase64 ('nomfichier')
      nsbase.fileSystem.base64ToFile ('chaîne', 'nom de fichier')
      nsbase.fileSystem.directoryExists ('répertoire')
      nsbase.fileSystem.fileExists ('filename')
      nsbase.fileSystem.getSize ('nomfichier')
      nsbase.fileSystem.getLastModified ('nomfichier')
      nsbase.fileSystem.mkdir ('répertoire')
      nsbase.fileSystem.copyFile ('source', 'dest')
 
  Avertissement: déplacez les API dans l'objet de dialogue
      nsbase.window.showMessage ('type', 'msg')
      nsbase.window.input ('title', 'prompt', 'Default')

  Implémenter des API
     nsbase.internet.getValueAfter ('Src', 'After')
     nsbase.internet.getValueBefore ('Src', 'Avant')
 
  implémente l'image de propriété du composant d'image pour obtenir et définir, ce format est base64
  Correction de bugs mineurs
  

2018-02-10 V1.0.1
  Ajout du contrôle glisser-déposer dans l'arborescence des composants de l'éditeur de formulaire pour le changement de parent
  Ajout du clavier de suppression sur l'éditeur de formulaire / rapport
  Correction de la manipulation anarchique du sélecteur d'objet dans les modifications des formulaires et des rapports
  Correction de bugs

2018-02-06 V1.0
  1ère version officielle
  Refonte de l'éditeur de requête visuelle

2018-01-06 Bêta-0.4
  Accélération significative des importations
  Ajout du format csv dans l'importation de fichier
  Propriétés et sous-propriétés ajoutées dans la plupart des composants
  Révision de l'édition de table
  Correction de bugs

2018-01-05 Bêta-0.3
  Correction de bugs

2018-01-02 Beta-0.2
  Amélioration de la construction d'applications autonomes
  Exportation supplémentaire
  Ajouté la langue espagnole
  Correction de bugs mineurs

2017-12-18 Bêta-0.1
  Finalisation de l'architecture, passage à la version bêta
  Révision de l'éditeur visuel
  Restructuration des API spécifiques à NSBase
  Ajouter des API
    nsbase.internet
      nsbase.internet.httpGet ('url')
      nsbase.internet.URLEncode ('url')
      nsbase.internet.URLDecode ('url')
      nsbase.internet.HTMLToText ('html')
      nsbase.internet.getValueAfter ('Src', 'After')
      nsbase.internet.getValueBefore ('Src', 'Avant')
    nsbase.system
      nsbase.system.httpGet ('url')
      nsbase.system.openUrl ('url')
      nsbase.system.openDoc ('doc')
      nsbase.system.getVersion ()
      nsbase.system.getOS ()
      nsbase.system.getCodeLang ()
      nsbase.system.getClipboardText ()
      nsbase.system.setClipboardText ('texte')
    dataset.SQL
    dataset.ExecSQL ()
    dataset.open ()
    dataset.close ()
    dataset.getItems ('fieldname')
  Correction de bugs mineurs

2017-12-18 Alpha-0.6
  Téléchargement de la première version de Windows 64 bits
  Présélectionne la langue locale par défaut
  Ajout de la page de l'éditeur visuel dans les paramètres de formulaire
  Changer le calibreur
  Menu contextuel ajouté dans le calibreur de contrôle
  Correction de bugs mineurs
 
2017-12-16 Alpha-0.5
  Ajout du bouton "vide"
  Ajout du bouton "Créer une application autonome"
  Ajout du bouton "Signaler un bug"
  Activation du paramètre du formulaire d'exécution
  Centrer les formulaires en mode exécution
  Correction d'un bug d'action "nsbse.application.quit ()" => "nsbase.application.quit ()"
  Correction d'un bug sur les données de publication. Le message d'erreur est "Un seul enregistrement doit avoir été mis à jour".

2017-12-14 Alpha-0.4
  Téléchargement de la première version de Linux
  Déplacer la barre rapide vers la droite pour harmoniser l'affichage avec Linux
  Ajout de l'importation de fichiers DBase
  Correction de l'importation de la base de données kexi
  Correction de l'intégration de la date, provoquant un gros ralentissement sur un format de date "jj / mm / aaaa"
  Correction de bugs mineurs

2017-12-13 Alpha-0.3
  Ajout d'un assistant de création de formulaire automatique
  Ajout d'un filtre de dialogue dans la fonction d'importation
  Ajout de la propriété "ChildSizing" dans les panneaux
  Ajout de la propriété "Parent Color" dans certains composants de formulaire
  Ajout du composant "ScrollBox" dans les formulaires
  Vérifier l'affichage du formulaire de création d'objet
  Correction de la liste des champs dans l'objet de vue
  Correction de bugs mineurs

2017-12-11 Alpha-0.2
  Ajout de addit